Package org.apache.storm.messaging

# Enum Class ConnectionWithStatus.Status

java.lang.Object
java.lang.Enum<ConnectionWithStatus.Status>
org.apache.storm.messaging.ConnectionWithStatus.Status

All Implemented Interfaces:
  `Serializable`, `Comparable<ConnectionWithStatus.Status>`, `Constable`

Enclosing class:
  ConnectionWithStatus

public static enum ConnectionWithStatus.Status extends Enum<ConnectionWithStatus.Status>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `Closed`
  The connection channel is closed or being closed.
  `Connecting`
  we are establishing a active connection with target host.
  `Ready`
  We have a alive connection channel, which can be used to transfer data.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ConnectionWithStatus.Status`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ConnectionWithStatus.Status[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### Connecting

    public static final ConnectionWithStatus.Status Connecting
    we are establishing a active connection with target host. The new data sending request can be buffered for future sending, or dropped(cases like there is no enough memory). It varies with difference IConnection implementations.

  - ### Ready

    public static final ConnectionWithStatus.Status Ready
    We have a alive connection channel, which can be used to transfer data.

  - ### Closed

    public static final ConnectionWithStatus.Status Closed
    The connection channel is closed or being closed. We don't accept further data sending or receiving. All data sending request will be dropped.

- ## Method Details

  - ### values

    public static ConnectionWithStatus.Status[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ConnectionWithStatus.Status valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null